## libraw-lite 0.7.2-maemo3

=== Makefile ===
all: library all_samples 

CFLAGS=-O4  -I. -w

# LCMS support
#LCMS_DEF=-DUSE_LCMS -I/usr/local/include
#LCMS_LIB=-L/usr/local/lib -llcms


DCRAW_LIB_OBJECTS=object/dcraw_common.o object/libraw_cxx.o object/libraw_c_api.o object/dcraw_fileio.o
DCRAW_LIB_MT_OBJECTS=object/dcraw_common_mt.o object/libraw_cxx_mt.o object/libraw_c_api_mt.o object/dcraw_fileio_mt.o

library: lib/libraw-lite.a lib/libraw-lite_r.a

all_samples: bin/raw-identify bin/simple_dcraw  bin/dcraw_emu bin/dcraw_half bin/half_mt bin/mem_image bin/4channels

install-headers:
	@if [ -d ${DESTDIR}/usr/include ] ; then cp -R libraw ${DESTDIR}/usr/include/ ; else echo "no ${DESTDIR}/usr/include" ; fi

install: library
	@if [ -d ${DESTDIR}/usr/lib ] ; then cp lib/libraw-lite.a lib/libraw-lite_r.a ${DESTDIR}/usr/lib/ ; else echo "no ${DESTDIR}/usr/lib" ; fi

install-binaries: all_samples
	@if [ -d ${DESTDIR}/usr/bin ] ; then cp bin/[a-z]* ${DESTDIR}/usr/bin/ ; else echo "no ${DESTDIR}/usr/bin" ; fi


#binaries

RLIB=-L./lib -lraw-lite
RLIBR=-L./lib -lraw-lite_r

bin/raw-identify: library samples/raw-identify.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/raw-identify samples/raw-identify.cpp $(RLIB) -lm ${LCMS_LIB}

bin/4channels: library samples/4channels.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/4channels samples/4channels.cpp $(RLIB) -lm  ${LCMS_LIB}

bin/simple_dcraw: library samples/simple_dcraw.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF}  ${CFLAGS} -o bin/simple_dcraw samples/simple_dcraw.cpp $(RLIB) -lm  ${LCMS_LIB}

bin/mem_image: library samples/mem_image.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/mem_image samples/mem_image.cpp $(RLIB)  -lm  ${LCMS_LIB}

bin/dcraw_half: library object/dcraw_half.o
	gcc -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_half object/dcraw_half.o $(RLIB) -lm -lstdc++  ${LCMS_LIB}

bin/half_mt: library object/half_mt.o
	gcc ${LCMS_DEF}  -pthread ${CFLAGS} -o bin/half_mt object/half_mt.o $(RLIBR)  -lm -lstdc++  ${LCMS_LIB}

bin/dcraw_emu: library samples/dcraw_emu.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_emu samples/dcraw_emu.cpp $(RLIB) -lm  ${LCMS_LIB}

#objects

object/dcraw_common.o: internal/dcraw_common.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/dcraw_common.o internal/dcraw_common.cpp

object/dcraw_fileio.o: internal/dcraw_fileio.cpp
	g++ -c -DLIBRAW_NOTHREADS ${CFLAGS} ${LCMS_DEF} -o object/dcraw_fileio.o internal/dcraw_fileio.cpp

object/libraw_cxx.o: src/libraw_cxx.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/libraw_cxx.o src/libraw_cxx.cpp

object/libraw_c_api.o: src/libraw_c_api.cpp
	g++ -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/libraw_c_api.o src/libraw_c_api.cpp

object/dcraw_half.o: samples/dcraw_half.c
	gcc -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/dcraw_half.o samples/dcraw_half.c

object/half_mt.o: samples/half_mt.c
	gcc -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/half_mt.o samples/half_mt.c


lib/libraw-lite.a: ${DCRAW_LIB_OBJECTS}
	rm -f lib/libraw-lite.a
	ar crv lib/libraw-lite.a ${DCRAW_LIB_OBJECTS}
	ranlib lib/libraw-lite.a

lib/libraw-lite_r.a: ${DCRAW_LIB_MT_OBJECTS}
	rm -f lib/libraw-lite_r.a
	ar crv lib/libraw-lite_r.a ${DCRAW_LIB_MT_OBJECTS}
	ranlib lib/libraw-lite_r.a

object/dcraw_common_mt.o: internal/dcraw_common.cpp
	g++ -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/dcraw_common_mt.o internal/dcraw_common.cpp

object/dcraw_fileio_mt.o: internal/dcraw_fileio.cpp
	g++ -c -pthread ${LCMS_DEF} ${CFLAGS} -o object/dcraw_fileio_mt.o internal/dcraw_fileio.cpp

object/libraw_cxx_mt.o: src/libraw_cxx.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_cxx_mt.o src/libraw_cxx.cpp

object/libraw_c_api_mt.o: src/libraw_c_api.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_c_api_mt.o src/libraw_c_api.cpp

clean:
	rm -fr bin/*.dSYM
	rm -f *.o *~ src/*~ samples/*~ internal/*~ libraw/*~ lib/lib*.a bin/[4a-z]* object/*o dcraw/*~ doc/*~ bin/*~
