## libraw-lite 0.7.2-maemo1

=== debian/changelog ===
libraw-lite (0.7.2-maemo1) fremantle; urgency=low

  * Initial release

 -- Luca Donaggio <donaggio@gmail.com>  Thu,  4 Jun 2009 13:49:05 +0200
