=== debian/control ===
Source: libraw-lite
Priority: extra
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libraw-lite-dev
Section: libdevel
Architecture: any
Depends: libraw-lite
Description: Header files for LibRaw-Lite

Package: libraw-lite
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LibRaw-Lite is a library for reading RAW files obtained from digital photo cameras
 LibRaw-Lite is based on the source codes of the dcraw utility, where part of drawbacks have already been eliminated and part will be fixed in future.
 The users of the library are provided with API to be built into their software programs.
 LibRaw-Lite is slightly lighter than GPL-licensed LibRaw:
    * With LGPL License, you may use unmodified library in non-opensource applications.
    * (Sorry) Foveon support is absent due to dcraw license restrictions.
    * Minor enhancements found in full LibRaw are absent in Lite version:
          o Black (masked) pixels are not extracted from RAW data.
          o It is not possible to control black level subtraction, raw curve processing, zero pixels removal.
          o Color data source (i.e. from camera/from hardcoded constant etc.) is not saved for application use.
          o There is no OpenMP support.
