## libraw-lite 0.7.2-maemo2

=== debian/changelog ===
libraw-lite (0.7.2-maemo2) fremantle; urgency=low

  * Added optification to debian/rules

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 23 Oct 2009 13:36:05 +0200
