=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libraw-lite
 Priority: extra
 Maintainer: Luca Donaggio <donaggio@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), maemo-optify
 Standards-Version: 3.7.2
 Section: libs
