## libraw-lite 0.7.2-maemo3

=== debian/changelog ===
libraw-lite (0.7.2-maemo3) fremantle; urgency=low

  * Changed optification mechanism (from debian/rules to debian/optify)

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 22 Feb 2010 13:16:00 +0200
