=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libraw-lite
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
+Homepage: http://mrawviewer.garage.maemo.org
 Priority: extra
 Maintainer: Luca Donaggio <donaggio@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify
+Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 Section: libs
